import { NgModule, Component } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthServicesComponent } from './auth-services.component';
import { LoginComponent } from './login/login.component';
import { RegesterComponent } from './regester/regester.component';




const routes: Routes = [
    {path: 'auth',  component: AuthServicesComponent, children: [
      {path: '', redirectTo: 'login', pathMatch: 'full'},
      {path: 'login', component: LoginComponent},
      {path: 'register', component: RegesterComponent},
      {path: 'profile/:idProfile', component:RegesterComponent},
      {path: '**', redirectTo: 'login', pathMatch: 'full'},
    ]},
  ];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AuthServicesRoutingModule {}